<html>

<head>
    <title>Zone de travail (canvas)</title>
    <script src="../../CodeSource/fabric.js-363/dist/fabric.js"></script>
    <script src="script/jquery-3.4.1.js"></script>
    <script src="script/fabric-history.js"></script>
    <link rel="stylesheet" type="text/css" href="style/style.css">
</head>

<body>
    <h1>Pic Express : maquette</h1>
    <input id="inputFile" type="file" onchange="convertToBase64();" /> Distance réelle entre les deux points de calcul d'échelle : <input type="number" id="scaleRealDistance">

    <!-- Cotation -->
    <button id="cotationBtn" onclick="Cotation.switchActivateDeactivateCotation()">Cotation</Button>

    <!-- Text -->
    <button id="textBtn" onclick="Text.switchActivateDeactivateText()">Add Text</Button>

    <!-- Suppression & undo/redo -->
    <button onclick="Suppression.removeSelection()">Effacer</Button>
    <button onclick="UndoRedo.undo()">Undo</Button>
    <button onclick="UndoRedo.redo()">Redo</Button>

    <!-- Pochage -->
    <button id="pochageBtn" title="Pochage, clic droit pour terminer." onclick="Pochage.switchActivateDeactivatePochage();">Pochage</button>
    <label for="color">Couleur</label>
    <input type="color" id="colorPicker" name="color" value="#FF7F00" />

    <!-- Cloture -->
    <button id="clotureBtn" title="Cloture, clic droit pour terminer." onclick="Cloture.switchActivateDeactivateCloture();">Cloture</button>

    <!-- Suppression & undo/redo history -->
    <button onclick="console.log(canvas.historyUndo)">UndoHistory</Button>
    <button onclick="console.log(canvas.historyRedo)">RedoHistory</Button>
    <button onclick="canvas.clearHistory()">clearHistory</Button>

    <button id="scaleCalculationBtn" onclick="Scale.activateScaleCalculation()">Calculate Scale</Button>

    <!-- Move / Zoom -->
    <button id="moveMapBtn" title="moveMap" onclick="MoveMap.clicked();">Move</button>
    <button id="zoomInBtn" title="zoomInBtn" onclick="Zoom.in()">Zoom in</button>
    <button id="zoomOutBtn" title="zoomOutBtn" onclick="Zoom.out()">Zoom out</button>

    <!-- Drag & Drop -->
    <div class="elementChantiers"></div>

    <canvas id="canvas-container" class="canvas"></canvas>

    <!-- Canvas -->
    <script type="text/javascript" src="script/global.js"></script>
    <!-- Chargement du plan de masse -->
    <script type="text/javascript" src="script/loadMap.js"></script>
    <!-- GetScale -->
    <script type="text/javascript" src="script/getScale.js"></script>
    <!-- Cotation -->
    <script type="text/javascript" src="script/cotation.js"></script>
    <!-- Text -->
    <script type="text/javascript" src="script/text.js"></script>
    <!-- Suppression -->
    <script type="text/javascript" src="script/suppression.js"></script>
    <!-- UndoRedo -->
    <script type="text/javascript" src="script/undoredo.js"></script>
    <!-- Pochage -->
    <script type="text/javascript" src="script/pochage.js"></script>
    <!-- Cloture -->
    <script type="text/javascript" src="script/cloture.js"></script>
    <!-- Zoom -->
    <script type="text/javascript" src="script/zoom.js"></script>
    <!-- Move map -->
    <script type="text/javascript" src="script/moveMap.js"></script>
    <!-- DragAndDrop -->
    <script type="text/javascript" src="script/dragAndDrop.js"></script>
</body>

</html>